curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "periodic", "periodic": { "repeat": "weekly", "start_time": "2025-08-12 15:00:00", "end_type": "on", "repeat_period": "3", "end_time": "2025-08-13 12:00:00" }}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "periodic", "periodic": { "repeat": "weekly", "start_time": "2025-08-12 15:00:00", "end_type": "on", "repeat_period": "3", "end_time": "2025-08-13 12:00:00", }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "periodic", "periodic": { "repeat": "weekly", "start_time": "2025-08-12 15:00:00", "end_type": "on", "repeat_period": "3", "end_time": "2025-08-13 12:00:00" } }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used for authentication
Example
<API_KEY>Location identifier for the schedule
Example
<LOCATION>Request Body
Section titled “Request Body”object
Time zone identifier for the schedule
Example
Asia/CalcuttaIdentifier for the schedule action to perform
Example
pow-offSpecifies the schedule action to perform
Example
poweroffSpecifies the type of schedule to add
Example
periodicobject
Recurrence interval for the schedule
Example
weeklyThe start time of the schedule in local date-time format.
Example
2025-08-12 15:00:00Specifies how the periodic schedule ends.
Example
onNumber of periods between schedule repetitions
Example
3The ending timestamp of the schedule period.
Example
2025-08-13 12:00:00Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the result of adding a schedule
Identifier of the created schedule
object
Human-readable status message for the add schedule operation
Example
{ "code": 200, "data": 123456, "message": "successfully added scheduled action to your virtual machine"}